package com.ss.android.ugc.aweme.feed.model.search;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;

public final class SearchLiveCommdityStruct implements Serializable {
    @c(LIZ = "cover")
    public String cover;
    @c(LIZ = "height")
    public int height;
    @c(LIZ = "price")
    public String price = "";
    @c(LIZ = "product_id")
    public String productId;
    @c(LIZ = "promotion_id")
    public String promotionId;
    @c(LIZ = "scheme")
    public String scheme;
    @c(LIZ = "source")
    public String source;
    @c(LIZ = "title")
    public String title;

    static {
        Covode.recordClassIndex(79069);
    }

    public final String getCover() {
        return this.cover;
    }

    public final int getHeight() {
        return this.height;
    }

    public final String getPrice() {
        return this.price;
    }

    public final String getProductId() {
        return this.productId;
    }

    public final String getPromotionId() {
        return this.promotionId;
    }

    public final String getScheme() {
        return this.scheme;
    }

    public final String getSource() {
        return this.source;
    }

    public final String getTitle() {
        return this.title;
    }

    public final void setCover(String str) {
        this.cover = str;
    }

    public final void setHeight(int i) {
        this.height = i;
    }

    public final void setProductId(String str) {
        this.productId = str;
    }

    public final void setPromotionId(String str) {
        this.promotionId = str;
    }

    public final void setScheme(String str) {
        this.scheme = str;
    }

    public final void setSource(String str) {
        this.source = str;
    }

    public final void setTitle(String str) {
        this.title = str;
    }

    public final void setPrice(String str) {
        M12.LIZ(str);
        this.price = str;
    }
}
